<kypo-topology-app-legend [width]="legendWidth"
                          [height]="500"
                          [style.float]="'left'"
                          [legendAttachment]="'vertical'"
                          [showContainers]="showLegendContainers"
></kypo-topology-app-legend>

<mat-drawer-container
  [style.width.px]="width - legendWidth"
  [style.height.px]="height"
  class="sidenav-container" autosize>
  <mat-drawer #drawer class="left-sidenav" mode="side"  position="end">
    <kypo-topology-graph-sidebar></kypo-topology-graph-sidebar>
  </mat-drawer>
  <div
    class="sidenav-content">

    <div class="error-message" *ngIf="isError">
      <h3 >Topology data was not loaded properly.</h3>
      <div class="try-again">
        <button mat-button color="primary" (click)="reloadTopology()">Try again</button>
      </div>
    </div>

    <div class="loading" *ngIf="(isLoading$ | async) && !isError">
      <mat-progress-spinner mode="indeterminate"></mat-progress-spinner>
    </div>

<!--    <button
      class="zoom-in"
      mat-icon-button
      (click)="zoomIn()">
      <mat-icon>zoom_in</mat-icon>
    </button>
    <button
      class="zoom-out"
      mat-icon-button
      (click)="zoomOut()">
      <mat-icon>zoom_out</mat-icon>
    </button>-->


    <!-- RESET ZOOM BUTTON -->
    <button
      class="zoom-reset"
      mat-icon-button
      *ngIf="showZoomResetButton"
      (click)="resetZoom()">
      <mat-icon>filter_center_focus</mat-icon>
    </button>

    <!-- GRAPH -->
    <graph *ngIf="dataLoaded"
           [cloudSandboxInstance]="isCloudSandboxInstance()"
           [isConsoleReady]="isConsoleReady$ | async"
           [draggedNode]="draggedNode"
           [nodes]="nodes"
           [links]="links"
           [width]="width - legendWidth - 40"
           [height]="height - 20"
           (polling)="onPollingStateChange($event)"
           (loadConsoles)="onLoadConsoles($event)"
           (showContainers)="onShowContainers($event)">
    </graph>

    <button
      class="sidenav-button"
      type="button"
      mat-icon-button
      (click)="drawer.toggle(); toggleSidebar()">
      <mat-icon *ngIf="!sidebarOpen">menu</mat-icon>
      <mat-icon *ngIf="sidebarOpen">chevron_right</mat-icon>
    </button>
  </div>
</mat-drawer-container>

<!-- EXAMPLE LEGEND HORIZONTAL BOTTOM -->
<!--
<kypo-topology-app-legend [width]="800"
                           [height]="65"
                           [legendAttachment]="'horizontal'"
></kypo-topology-app-legend>
-->
